Bullet Collision Detection & Physics Library: btMatrix2x2 Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btMatrix2x2 Class Reference

Bullet Continuous Collision Detection and Physics Library Copyright (c) 2019 Google Inc. More...

`#include <btImplicitQRSVD.h>`

## Public Member Functions
| btMatrix2x2 ()
| btMatrix2x2 (const btMatrix2x2 &other)
btScalar & | operator() (int i, int j)
const btScalar & | operator() (int i, int j) const
void | setIdentity ()

## Public Attributes
btScalar | m_00
btScalar | m_01
btScalar | m_10
btScalar | m_11

## Detailed Description

Bullet Continuous Collision Detection and Physics Library Copyright (c) 2019 Google Inc.

http://bulletphysics.org This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software. Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.

Copyright (c) 2016 Theodore Gast, Chuyuan Fu, Chenfanfu Jiang, Joseph Teran

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

If the code is used in an article, the following paper shall be cited: @techreport{qrsvd:2016, title={Implicit-shifted Symmetric QR Singular Value Decomposition of 3x3 Matrices}, author={Gast, Theodore and Fu, Chuyuan and Jiang, Chenfanfu and Teran, Joseph}, year={2016}, institution={University of California Los Angeles} }

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Definition at line 46 of file btImplicitQRSVD.h.

## Constructor & Destructor Documentation

## ◆ btMatrix2x2() [1/2]

btMatrix2x2::btMatrix2x2 | ( |  | ) |
| inline

Definition at line 50 of file btImplicitQRSVD.h.

## ◆ btMatrix2x2() [2/2]

btMatrix2x2::btMatrix2x2 | ( | const btMatrix2x2 & | other | ) |
| inline

Definition at line 53 of file btImplicitQRSVD.h.

## Member Function Documentation

## ◆ operator()() [1/2]

btScalar & btMatrix2x2::operator() | ( | int | i,
|  | int | j
| ) |  |
| inline

Definition at line 55 of file btImplicitQRSVD.h.

## ◆ operator()() [2/2]

const btScalar & btMatrix2x2::operator() | ( | int | i,
|  | int | j
| ) |  | const
| inline

Definition at line 68 of file btImplicitQRSVD.h.

## ◆ setIdentity()

void btMatrix2x2::setIdentity | ( |  | ) |
| inline

Definition at line 81 of file btImplicitQRSVD.h.

## Member Data Documentation

## ◆ m_00

btScalar btMatrix2x2::m_00

Definition at line 49 of file btImplicitQRSVD.h.

## ◆ m_01

btScalar btMatrix2x2::m_01

Definition at line 49 of file btImplicitQRSVD.h.

## ◆ m_10

btScalar btMatrix2x2::m_10

Definition at line 49 of file btImplicitQRSVD.h.

## ◆ m_11

btScalar btMatrix2x2::m_11

Definition at line 49 of file btImplicitQRSVD.h.

The documentation for this class was generated from the following file:

- btImplicitQRSVD.h